| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Static Public Attributes | List of all members
Ogre::SimplePageContentCollection Class Reference
Optional Components » Paging

Specialisation of PageContentCollection which just provides a simple list of PageContent instances. More...

`#include <OgreSimplePageContentCollection.h>`

Inheritance diagram for Ogre::SimplePageContentCollection:
[legend]

## Public Types
typedef std::vector< PageContent * > | ContentList

## Public Member Functions
| SimplePageContentCollection (PageContentCollectionFactory *creator)
| ~SimplePageContentCollection ()
virtual void | _notifyAttached (Page *parent)
| Internal method to notify a collection that it is attached. More...
virtual PageContent * | createContent (const String &typeName)
| Create a new PageContent within this collection. More...
virtual void | destroyContent (PageContent *coll)
| Destroy a PageContent within this page. More...
virtual void | frameEnd (Real timeElapsed)
| Called when the frame ends. More...
virtual void | frameStart (Real timeSinceLastFrame)
| Called when the frame starts. More...
virtual const ContentList & | getContentList () const
| Get const access to the list of content. More...
PageManager * | getManager () const
Page * | getParentPage () const
SceneManager * | getSceneManager () const
virtual const String & | getType () const
| Get the type of the collection, which will match it's factory. More...
void | load ()
| Load - will be called in main thread. More...
virtual void | notifyCamera (Camera *cam)
| Notify a section of the current camera. More...
bool | prepare (StreamSerialiser &stream)
| Prepare data - may be called in the background. More...
virtual void | save (StreamSerialiser &stream)
| Save the collection to a stream. More...
void | unload ()
| Unload - will be called in main thread. More...
void | unprepare ()
| Unprepare data - may be called in the background. More...

## Static Public Attributes
static const uint32 | CHUNK_ID
static const uint16 | CHUNK_VERSION
static const uint32 | SUBCLASS_CHUNK_ID
static const uint16 | SUBCLASS_CHUNK_VERSION

## Detailed Description

Specialisation of PageContentCollection which just provides a simple list of PageContent instances.

  The data format for this in a file is:
  SimplePageContentCollectionData (Identifier 'SPCD')
  [Version 1]

  Name | Type | Description
  Nested contents | Nested chunk list | A sequence of nested PageContent chunks

## Member Typedef Documentation

## ◆ ContentList

typedef std::vector<PageContent*> Ogre::SimplePageContentCollection::ContentList

## Constructor & Destructor Documentation

## ◆ SimplePageContentCollection()

Ogre::SimplePageContentCollection::SimplePageContentCollection | ( | PageContentCollectionFactory * | creator | ) |

## ◆ ~SimplePageContentCollection()

Ogre::SimplePageContentCollection::~SimplePageContentCollection | ( |  | ) |

## Member Function Documentation

## ◆ createContent()

virtual PageContent* Ogre::SimplePageContentCollection::createContent | ( | const String & | typeName | ) |
| virtual

Create a new PageContent within this collection.

Parameters

  typeName | The name of the type of content (see PageManager::getContentFactories)

## ◆ destroyContent()

virtual void Ogre::SimplePageContentCollection::destroyContent | ( | PageContent * | coll | ) |
| virtual

Destroy a PageContent within this page.

This is equivalent to calling detachContent and PageManager::destroyContent.

## ◆ getContentList()

virtual const ContentList& Ogre::SimplePageContentCollection::getContentList | ( |  | ) | const
| inline virtual

Get const access to the list of content.

## ◆ save()

virtual void Ogre::SimplePageContentCollection::save | ( | StreamSerialiser & | stream | ) |
| virtual

Save the collection to a stream.

Implements Ogre::PageContentCollection.

## ◆ frameStart()

virtual void Ogre::SimplePageContentCollection::frameStart | ( | Real | timeSinceLastFrame | ) |
| virtual

Called when the frame starts.

Implements Ogre::PageContentCollection.

## ◆ frameEnd()

virtual void Ogre::SimplePageContentCollection::frameEnd | ( | Real | timeElapsed | ) |
| virtual

Called when the frame ends.

Implements Ogre::PageContentCollection.

## ◆ notifyCamera()

virtual void Ogre::SimplePageContentCollection::notifyCamera | ( | Camera * | cam | ) |
| virtual

Notify a section of the current camera.

Implements Ogre::PageContentCollection.

## ◆ prepare()

bool Ogre::SimplePageContentCollection::prepare | ( | StreamSerialiser & | ser | ) |
| virtual

Prepare data - may be called in the background.

Implements Ogre::PageContentCollection.

## ◆ load()

void Ogre::SimplePageContentCollection::load | ( |  | ) |
| virtual

Load - will be called in main thread.

Implements Ogre::PageContentCollection.

## ◆ unload()

void Ogre::SimplePageContentCollection::unload | ( |  | ) |
| virtual

Unload - will be called in main thread.

Implements Ogre::PageContentCollection.

## ◆ unprepare()

void Ogre::SimplePageContentCollection::unprepare | ( |  | ) |
| virtual

Unprepare data - may be called in the background.

Implements Ogre::PageContentCollection.

## ◆ getManager()

PageManager* Ogre::PageContentCollection::getManager | ( |  | ) | const
| inherited

## ◆ getParentPage()

Page* Ogre::PageContentCollection::getParentPage | ( |  | ) | const
| inline inherited

## ◆ getSceneManager()

SceneManager* Ogre::PageContentCollection::getSceneManager | ( |  | ) | const
| inherited

## ◆ getType()

virtual const String& Ogre::PageContentCollection::getType | ( |  | ) | const
| virtual inherited

Get the type of the collection, which will match it's factory.

## ◆ _notifyAttached()

virtual void Ogre::PageContentCollection::_notifyAttached | ( | Page * | parent | ) |
| virtual inherited

Internal method to notify a collection that it is attached.

## Member Data Documentation

## ◆ SUBCLASS_CHUNK_ID

const uint32 Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_ID
| static

## ◆ SUBCLASS_CHUNK_VERSION

const uint16 Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_VERSION
| static

## ◆ CHUNK_ID

const uint32 Ogre::PageContentCollection::CHUNK_ID
| static inherited

## ◆ CHUNK_VERSION

const uint16 Ogre::PageContentCollection::CHUNK_VERSION
| static inherited

The documentation for this class was generated from the following file:

- OgreSimplePageContentCollection.h